=== saga-gis/src/tools/climate/CMakeLists.txt ===
add_subdirectory(climate_tools)
