=== saga-gis/src/saga_core/saga_cmd/man/CMakeLists.txt ===
message(STATUS "subfolder: ${PROJECT_NAME}/man")

install(
	FILES saga_cmd.1
	DESTINATION share/man/man1
)
