=== saga-gis/src/tools/climate/climate_tools/CMakeLists.txt ===
if(WITH_TOOLS)
	project(climate_tools)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()
