=== saga-gis/src/tools/contrib/contrib_perego/CMakeLists.txt ===
if(WITH_TOOLS)
	project(contrib_perego)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()
