=== saga-gis/src/tools/pointcloud/pointcloud_tools/CMakeLists.txt ===
if(WITH_TOOLS)
	project(pointcloud_tools)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()
