=== saga-gis/src/tools/simulation/sim_geomorphology/CMakeLists.txt ===
if(WITH_TOOLS)
	project(sim_geomorphology)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()
