=== debian/changelog ===
saga (9.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Apr 2025 14:23:04 +0200
