=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                swig
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/saga
-Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git -b experimental
 Homepage: http://www.saga-gis.org/
 Rules-Requires-Root: no
