=== debian/changelog ===
saga (9.9.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Mark saga-common as Multi-Arch: foreign.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Jul 2025 06:20:12 +0200
