=== debian/control ===
--- 
+++ 
@@ -44,6 +44,7 @@
 
 Package: saga-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: saga (<< 2.2.5+dfsg-1~)
 Replaces: saga (<< 2.2.5+dfsg-1~)
