## saga 9.9.2+dfsg

=== debian/changelog ===
saga (9.9.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.
  * Remove carriage-return from desktop file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Sep 2025 07:21:49 -0700

saga (9.9.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 12:06:00 +0200
