=== saga-gis/src/tools/simulation/sim_air_flow/CMakeLists.txt ===
if(WITH_TOOLS)
	project(sim_air_flow)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()
