=== saga-gis/src/tools/simulation/sim_cellular_automata/CMakeLists.txt ===
if(WITH_TOOLS)
	project(sim_cellular_automata)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()
