=== saga-gis/src/tools/contrib/CMakeLists.txt ===
add_subdirectory(contrib_perego)
