=== saga-gis/src/tools/db/CMakeLists.txt ===
#add_subdirectory(db_mysql)
add_subdirectory(db_odbc)
add_subdirectory(db_pgsql)
