=== saga-gis/src/tools/docs/CMakeLists.txt ===
add_subdirectory(docs_html)
add_subdirectory(docs_pdf)
