=== saga-gis/src/tools/shapes/CMakeLists.txt ===
add_subdirectory(shapes_grid)
add_subdirectory(shapes_lines)
add_subdirectory(shapes_points)
add_subdirectory(shapes_polygons)
add_subdirectory(shapes_tools)
add_subdirectory(shapes_transect)
