=== debian/changelog ===
saga (9.9.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Oct 2025 16:33:50 +0200
