=== debian/control ===
--- 
+++ 
@@ -21,9 +21,8 @@
                swig
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/saga
-Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git
 Homepage: http://www.saga-gis.org/
-Rules-Requires-Root: no
 
 Package: saga
 Architecture: any
