=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 	find $(CURDIR)/debian/tmp/usr/lib -name "*.pyc" -delete
 	find $(CURDIR)/debian/tmp/usr/lib -name "*.pyo" -delete
 
+	# Remove carriage-return from desktop file
+	sed -i 's/\r//g' debian/*/usr/share/applications/*.desktop
+
 override_dh_python3:
 	dh_python3 --no-ext-rename
